#include "OneButton.h"

OneButton::OneButton()
: m_button("Hello World")   // creates a new button with label "Hello World".
{
  set_border_width(10);
  m_button.signal_clicked().connect(sigc::mem_fun(*this,
              &OneButton::on_button_clicked));
  // This packs the button into the Window (a container).
  add(m_button);
  m_button.show();
}

OneButton::~OneButton(){}

void OneButton::on_button_clicked()
{
  gtk_main_quit();
}
