#include "Text.h"
#include <gtkmm/main.h>
#include <gtkmm/window.h>

int main(int argc, char** argv)
{
    Gtk::Main kit(argc, argv);
    // Generate a Window
    Gtk::Window win;
    win.set_title("DrawingArea");
    win.set_default_size(700, 700);
    // Crate the drawing area and add a keylistener
    Text text;
    win.add(text);
    win.signal_key_press_event().connect(sigc::mem_fun(text, &Text::on_key_press));
    text.show();
    // Run the window.
    Gtk::Main::run(win);
    return 0;
}
