#include "myarea.h"
#include <gtkmm/main.h>
#include <gtkmm/window.h>

int main(int argc, char** argv)
{
    Gtk::Main kit(argc, argv);
    // Generate a Window
    Gtk::Window win;
    win.set_title("DrawingArea");
    win.set_default_size(700, 700);
    // Crate the drawing area and add a keylistener
    MyArea area;
    win.add(area);
    win.signal_key_press_event().connect(sigc::mem_fun(area, &MyArea::on_key_press));
    area.show();
    // Run the window.
    Gtk::Main::run(win);
    return 0;
}
