package test5;


import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.events.*;

public class Test5 {

public static void main(String [] args) {
	final Color[] colors = new Color[25];
	final Display display = new Display();
	for(int i = 0; i < 25; i++){
		colors[i] = new Color(display, (int)(Math.random()*255),(int)(Math.random()*255),(int)(Math.random()*255));
	}
	final Shell shell = new Shell(display);
	shell.addPaintListener(new PaintListener() {
		public void paintControl(PaintEvent event) {
			double t = System.currentTimeMillis();
			event.gc.setAntialias(SWT.ON);
			for(int i = 0; i < 100000; i++){
				event.gc.setForeground(colors[i%25]);
				event.gc.drawString("TestString...", (int)(Math.random()*400), (int)(Math.random()*400), true);
			}
			double t2 = System.currentTimeMillis();
			System.out.println("Time for drawing 100000 Strings: "+(t2-t)+"ms");
		}
	});
	shell.addKeyListener(new KeyListener() {
		
		@Override
		public void keyReleased(KeyEvent e) {
			
		}
		
		@Override
		public void keyPressed(KeyEvent e) {
			if(e.keyCode > 0){ 
				shell.redraw();
			}
		}
	});
	shell.setBounds(10, 10, 400, 400);
	shell.open ();
	while (!shell.isDisposed()) {
		if (!display.readAndDispatch()) display.sleep();
	}
	display.dispose();
}
}
