package test7;

import org.eclipse.swt.SWT;

import org.eclipse.swt.events.ControlEvent;
import org.eclipse.swt.events.ControlListener;
import org.eclipse.swt.events.ShellEvent;
import org.eclipse.swt.events.ShellListener;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;


public class Test7 {

  Display d;

  Shell s;

  Test7(int number) {
    d = new Display();
    s = new Shell(d);
    s.setText("A Text Field Example");
    
    for(int i = 0; i < number; i++){
			Composite c = new Composite(s, SWT.EMBEDDED);
			c.setLayout(new GridLayout(1, true));
			Label l = new Label(c, SWT.PUSH);
			l.setText("Field "+i);
			Text t = new Text(c, SWT.EMBEDDED | SWT.BORDER);
			Button b = new Button(c, SWT.PUSH);
			b.setText("Button");
			c.pack(true);
		}
    s.addControlListener(new ControlListener() {
		
		@Override
		public void controlResized(ControlEvent e) {
			for(Control c : s.getChildren()){
				c.pack(true);
			}
			
		}
		
		@Override
		public void controlMoved(ControlEvent e) {	
		}
	});
    s.setLayout(new RowLayout());
    s.open();
    while (!s.isDisposed()) {
      if (!d.readAndDispatch())
        d.sleep();
    }
    d.dispose();
  }

  public static void main(String[] arg) {
    new Test7(100);
  }

}
