package test3;

import java.awt.Color;
import java.awt.Frame;
import java.awt.Graphics;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

public class Test3 extends Frame{

	int sizeX;
	int sizeY;
	
	public Test3(int sizeX, int sizeY){
		super("Draw Points AWT Frame");
		setResizable(false);
		this.sizeX = sizeX;
		this.sizeY = sizeY;
		setSize(sizeX, sizeY);
		addWindowListener(new WindowAdapter(){
		      public void windowClosing(WindowEvent we){
		        System.exit(0);
		      }
		});
		addKeyListener(new KeyListener() {
			
			@Override
			public void keyTyped(KeyEvent e) {
			}
			
			@Override
			public void keyReleased(KeyEvent e) {
			}
			
			@Override
			public void keyPressed(KeyEvent e) {
				if(e.getKeyCode() == KeyEvent.VK_R){
					repaint();
				}
			}
		});
	}
	
	@Override
	public void paint(Graphics g) {
		super.paint(g);
		double t = System.currentTimeMillis();
		g.clearRect(0, 0, sizeX, sizeY);
		for(int i = 0; i < sizeX; i++){
			for(int j = 0; j < sizeY; j++){
				g.setColor(new Color(i%255,j%255,(i*j)%255));
				g.drawLine(i, j, i, j);
			}
		}
		double t2 = System.currentTimeMillis();
		System.out.println("Time for drawing "+sizeX+"*"+sizeY+" Points: "+(t2-t)+"ms");
	}
	
	
	public static void main(String[] args) {
		Frame f = new Test3(900,900);
		f.setVisible(true);
	}

}
