#include "myarea.h"
#include <cairomm/context.h>
#include <iostream>
#include <stdlib.h>
#include <gdk/gdkkeysyms.h>
#include <time.h>

MyArea::MyArea()
{
}

MyArea::~MyArea()
{
}

#define NUM 600.0f

bool MyArea::on_expose_event(GdkEventExpose* event)
{
    // Get Window
/*    Glib::RefPtr<Gdk::Window> window = get_window();
    if(window)
    {
        // Create Cairo Context
        Cairo::RefPtr<Cairo::Context> cr = window->create_cairo_context();
        // Clean the canvas
        cr->set_source_rgb(1, 1, 1);
        cr->rectangle(0,0,NUM,NUM);
        cr->fill();
    }*/

    return true;
}

bool MyArea::on_key_press(GdkEventKey* event)
{
    Glib::RefPtr<Gdk::Window> window = get_window();
    Cairo::RefPtr<Cairo::Context> cr = window->create_cairo_context();

/*    cr->set_source_rgb(1, 1, 1);
    cr->rectangle(0,0,NUM,NUM);
    cr->fill();
*/
    if(event->keyval == GDK_r)
    {
        //initialize Timer
        std::cout << "Redraw!" << std::endl;
        int time, start, end;
        start = clock();

        for (float x = 0; x<NUM; x = x + 1)
        {
            for (float y = 0; y<NUM; y = y + 1)
            {
                // draw a pixel in a color
                cr->move_to(x  ,y );
                cr->set_source_rgb(((int)x % 200)/ 200.0f, ((int)y % 200)/ 200.0f, ((int)(x*y) % 200)/ 200.0f);
                cr->line_to(x + 1, y);
                cr->stroke();
            }
        }
        
        // print timer
        end = clock();
        int units = end -start;
        std::cout << "Rendertime:" << (double)units / ((double)CLOCKS_PER_SEC) << "sec" << std::endl;
    }
    return true;
}
