package test4;


import org.eclipse.swt.graphics.*;
import org.eclipse.swt.widgets.*;
import org.eclipse.swt.events.*;

public class Test4 {

public static void main(String [] args) {
	final Display display = new Display();
	final Shell shell = new Shell(display);
	shell.addPaintListener(new PaintListener() {
		public void paintControl(PaintEvent event) {
			double t = System.currentTimeMillis();
			event.gc.setAlpha(10);
			event.gc.setBackground(new Color(display, 255,0,0));
			for (int i = 0; i < 25; i++) {
				for (int x = 0; x < 60; x++) {
					for (int y = 0; y < 60; y++) {
						event.gc.fillRectangle(new Rectangle(x * 10,
								y * 10, 15, 15));
					}
				}
			}
			double t2 = System.currentTimeMillis();
			System.out.println("Time for drawing 60*60 Rectangles 25 times: "+(t2-t)+"ms");
		}
	});
	shell.addKeyListener(new KeyListener() {
		
		@Override
		public void keyReleased(KeyEvent e) {
			
		}
		
		@Override
		public void keyPressed(KeyEvent e) {
			if(e.keyCode > 0){ 
				shell.redraw();
			}
		}
	});
	shell.setBounds(10, 10, 600, 600);
	shell.open ();
	while (!shell.isDisposed()) {
		if (!display.readAndDispatch()) display.sleep();
	}
	display.dispose();
}
}
