package test1;

import java.awt.Container;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;

public class Test1 extends JFrame{
	
	static ActionListener listener = new ActionListener() {
		@Override
		public void actionPerformed(ActionEvent e) {
			System.out.println(e.getActionCommand()+" pressed");
		}
	};
	
	public Test1(int sizeX, int sizeY, boolean grid, String title){
		super(title);
		setSize(sizeX,sizeY);
		Container pane = getContentPane();
		if(grid)
			pane.setLayout(new GridLayout(200, 100));
		else
			pane.setLayout(new FlowLayout(FlowLayout.LEADING));
		for(int i = 0; i < 4000; i++){
			JButton b = new JButton("t");
			b.setActionCommand("Button "+i);
			b.addActionListener(listener);
			add(b);
		}
	}

	public static void main(String[] args) {
		//JFrame f = new Test1(1024,768, true, "Grid-Buttons");
		//f.setVisible(true);
		JFrame f2 = new Test1(500, 500, false, "Flow-Buttons");
		f2.setVisible(true);
	}

}
