package test2;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;

public class Test2 extends JFrame{

	int sizeX;
	int sizeY;
	
	public Test2(int sizeX, int sizeY){
		super("Draw Points Swing");
		this.sizeX = sizeX;
		this.sizeY = sizeY;
		setSize(sizeX, sizeY);
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		addKeyListener(new KeyListener() {
			
			@Override
			public void keyTyped(KeyEvent e) {
			}
			
			@Override
			public void keyReleased(KeyEvent e) {
			}
			
			@Override
			public void keyPressed(KeyEvent e) {
				if(e.getKeyCode() == KeyEvent.VK_R){
					repaint();
				}
			}
		});
	}
	
	@Override
	public void paint(Graphics g) {
		super.paint(g);
		double t = System.currentTimeMillis();
		g.clearRect(0, 0, sizeX, sizeY);
		for(int i = 0; i < sizeX; i++){
			for(int j = 0; j < sizeY; j++){
				g.setColor(new Color(i%255,j%255,(i*j)%255)); // Without: much faster
				g.drawLine(i, j, i, j);
			}
		}
		double t2 = System.currentTimeMillis();
		System.out.println("Time for drawing "+sizeX+"*"+sizeY+" Points: "+(t2-t)+"ms");
	}
	

	public static void main(String[] args) {
		JFrame f = new Test2(900,900);
		f.setVisible(true);
	}

}
