package test4;

import java.awt.Color;
import java.awt.Graphics;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;

public class Test4 extends JFrame{

	static int iterations = 1;
	
	public Test4(){
		super("Rectangle Test");
		setSize(600, 600);
		setResizable(false);
		addKeyListener(new KeyListener() {
			
			@Override
			public void keyTyped(KeyEvent e) {
			}
			
			@Override
			public void keyReleased(KeyEvent e) {
			}
			
			@Override
			public void keyPressed(KeyEvent e) {
				if(e.getKeyCode() == KeyEvent.VK_R) repaint();
				
			}
		});
	}
	
	@Override
	public void paint(Graphics g) {
		super.paint(g);
		double t = System.currentTimeMillis();
		g.setColor(new Color(255,0,0,10));
		g.clearRect(0, 0, 600, 600);
		for(int i = 0; i < iterations; i++){
			for (int x = 0; x < 60; x++) {
				for (int y = 0; y < 60; y++) {
					g.fillRect(x * 10, y * 10, 15, 15);
				}
			}
		}
		double t2 = System.currentTimeMillis();
		System.out.println("Time for "+iterations+" iterations: "+(t2-t)+"ms");
	}
	
	
	

	public static void main(String[] args) {
		JFrame f = new Test4();
		iterations = 25;
		f.setVisible(true);
	}

}
